# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*.class

# VSCode
.vscode/*

# C extensions
*.so

# Distribution / packaging
_build/
.eggs/
.installed.cfg
.Python
*.egg
*.egg-info/
build/
develop-eggs/
dist/
downloads/
eggs/
lib/
lib64/
[MANIFEST]
parts/
pip-wheel-metadata
releases/
sdist/
share/python-wheels/
var/
wheels/

# PyInstaller
#  Usually these files are written by a python script from a template
#  before PyInstaller builds the exe, so as to inject date/other infos into it.
*.manifest
*.spec

# Installer logs
pip-log.txt
pip-delete-this-directory.txt

# Testing logs
*log*.txt
*.log

# Unit test / coverage reports
.cache
.coverage
.coverage.*
.hypothesis/
.nox/
.pytest_cache/
.tox/
*.cover
coverage.xml
htmlcov/
nosetests.xml
test.xml

# PyBuilder
target/

# Jupyter Notebook
.ipynb_checkpoints

# IPython
profile_default/
ipython_config.py

# pyenv
.python-version

# Environments
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/

# mkdocs documentation
/docs/site
/site

# mypy
.mypy_cache/
.dmypy.json
dmypy.json

# Node.JS
node_modules/
yarn.lock

# PyCharm
.idea/*

# Hoppr config files
/manifest.yml
/credentials.yml
/transfer.yml

# Miscellaneous
.DS_Store
.vagrant/*
/*_test.py
/generic
/my.tarfile*
/poetry.toml
/report
/setup.cfg
/setup.py
/test_*.*
/tests/fixtures/project_with_extras/setup.py
/tests/fixtures/simple_project/setup.py
hopctl-merge-*.json
hoppr-*-schema-v?.*
MANIFEST.in
public
requirements.txt
test.py

# in-toto
*.layout
*.link
*key
*key.pub
